Skip to content

Watermark PDF

Add text watermarks to your PDF documents for free. Protect your documents with custom stamps and branding.

2 credits per conversionOutput: .pdfTry on web

Accepted formats

.pdf

Parameters

NameTypeRequiredDescription
files[]fileYesFile(s) to convert
watermark_textstringNoWatermark text (max 100 chars)
watermark_positionstringNoPosition: top-left, top-center, top-right, center, bottom-left, bottom-center, bottom-right, diagonal
watermark_font_sizeintegerNoFont size (12-144)

Code example

curl -X POST "https://gurupdf.com/api/v1/convert/watermark-pdf" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -F "files[]=@/path/to/document.pdf"

Related tools